Developer Portal

List GroupsGET

Return the account groups available when creating or updating trading accounts.

View as Markdown
GET
/account-groups

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Query Parameters

idarray<string>
namestring
currencystring
statusstring
Format: "uint64"
curl -X GET "https://example.com/account-groups?id=string&name=%3Cstring%3E&currency=%3Cstring%3E&status=%3Cstring%3E" \
  -H "Authorization: <token>"

A successful response.

{
  "groups": [
    {
      "id": "string",
      "marginCallLevel": 0.1,
      "stopOutLevel": 0.1,
      "description": "string",
      "name": "string",
      "negativeBalanceProtect": true,
      "status": "TRADE_STATUS_UNSPECIFIED",
      "externalGatewayId": "string",
      "permissions": [
        {
          "id": "string",
          "enabled": true,
          "groupId": "string",
          "symbolId": "string",
          "marginTemplateId": "string",
          "commissionTemplateId": "string",
          "volumeTemplateId": "string",
          "protectionTemplateId": "string",
          "markupBid": "string",
          "markupAsk": "string",
          "maxNop": "string",
          "status": "TRADE_STATUS_UNSPECIFIED"
        }
      ],
      "swapFree": true,
      "isDemo": true,
      "symbolProfileId": "string",
      "marginCalculationType": "MARGIN_CALC_TYPE_UNSPECIFIED",
      "marginRecalcScope": "MARGIN_RECALC_SCOPE_UNSPECIFIED",
      "fundingProfileId": "string",
      "statementHeading": "string"
    }
  ],
  "page": "string",
  "perPage": "string",
  "total": "string"
}